program test

  use supralu_mod
  implicit none
  type(sparseC16_obj) :: thisC16
  type(sparseR8_obj)  :: thisR8
  integer ier

  !!! call supralu_memtrace(6)  !  trace object (de)allocations

  call sparseC16_test(thisC16, ier)
  call sparseR8_test(thisR8, ier)

end program test
